local KEY_SPEAR = GetModConfigData("Key_Spear"):lower():byte()
local KEY_AXE = GetModConfigData("Key_Axe"):lower():byte()
local KEY_PICKAXE = GetModConfigData("Key_Pickaxe"):lower():byte()
local KEY_SHOVEL = GetModConfigData("Key_Shovel"):lower():byte()
local KEY_HAMMER = GetModConfigData("Key_Hammer"):lower():byte()
local KEY_PITCHFORK = GetModConfigData("Key_Pitchfork"):lower():byte()

local Player = GLOBAL.GetPlayer
local Widget = GLOBAL.require("widgets/widget")
local Image = GLOBAL.require("widgets/image")
local ImageButton = GLOBAL.require("widgets/imagebutton")

Assets = {
	Asset("ATLAS", "images/buttons.xml"),
	Asset("IMAGE", "images/buttons.tex"),
	Asset("ATLAS", "images/buttons_spear.xml"),
	Asset("IMAGE", "images/buttons_spear.tex"),
	Asset("ATLAS", "images/buttons_axe.xml"),
	Asset("IMAGE", "images/buttons_axe.tex"),
	Asset("ATLAS", "images/buttons_pickaxe.xml"),
	Asset("IMAGE", "images/buttons_pickaxe.tex"),
	Asset("ATLAS", "images/buttons_shovel.xml"),
	Asset("IMAGE", "images/buttons_shovel.tex"),
	Asset("ATLAS", "images/buttons_hammer.xml"),
	Asset("IMAGE", "images/buttons_hammer.tex"),
	Asset("ATLAS", "images/buttons_pitchfork.xml"),
	Asset("IMAGE", "images/buttons_pitchfork.tex"),
}

local function EquipItem(inst,item_name)
	local item = Player().components.inventory:FindItem(function(inst) return inst.prefab==item_name end)
	Player().components.inventory:Equip(item,nil)
end

local function AddKeybindButton(self,name,offset)
	local button = self:AddChild(ImageButton("images/buttons_"..name..".xml","button_normal.tex","button_focus.tex","button_disabled.tex","button_down.tex","button_selected.tex"))
	button:SetPosition((68*offset),175,0)
	button:SetOnClick(function(inst) return EquipItem(inst,name) end)
end

AddClassPostConstruct("widgets/inventorybar", function(self)
	AddKeybindButton(self,"spear",-3)
	AddKeybindButton(self,"axe",-2)
	AddKeybindButton(self,"pickaxe",-1)
	AddKeybindButton(self,"shovel",0)
	AddKeybindButton(self,"hammer",1)
	AddKeybindButton(self,"pitchfork",2)
end)

GLOBAL.TheInput:AddKeyUpHandler(
	KEY_SPEAR, 
	function()
		if not GLOBAL.IsPaused() then     
			EquipItem(inst,"spear")
		end
	end
)

GLOBAL.TheInput:AddKeyUpHandler(
	KEY_AXE, 
	function()
		if not GLOBAL.IsPaused() then     
			EquipItem(inst,"axe")
		end
	end
)

GLOBAL.TheInput:AddKeyUpHandler(
	KEY_PICKAXE, 
	function()
		if not GLOBAL.IsPaused() then     
			EquipItem(inst,"pickaxe")
		end
	end
)

GLOBAL.TheInput:AddKeyUpHandler(
	KEY_SHOVEL, 
	function()
		if not GLOBAL.IsPaused() then     
			EquipItem(inst,"shovel")
		end
	end
)

GLOBAL.TheInput:AddKeyUpHandler(
	KEY_HAMMER, 
	function()
		if not GLOBAL.IsPaused() then     
			EquipItem(inst,"hammer")
		end
	end
)

GLOBAL.TheInput:AddKeyUpHandler(
	KEY_PITCHFORK, 
	function()
		if not GLOBAL.IsPaused() then     
			EquipItem(inst,"pitchfork")
		end
	end
)